pqxx::transaction_focus Class Reference

Base class for things that monopolise a transaction's attention. More...

`#include <transaction_focus.hxx>`

Inheritance diagram for pqxx::transaction_focus:
[legend]

## Public Member Functions

| transaction_focus (transaction_base &t, std::string_view cname, std::string_view oname)
| transaction_focus (transaction_base &t, std::string_view cname, std::string &&oname)
| transaction_focus (transaction_base &t, std::string_view cname)
| transaction_focus ()=delete
| transaction_focus (transaction_focus const &)=delete
transaction_focus & | operator= (transaction_focus const &)=delete
constexpr std::string_view | classname () const noexcept
| Class name, for human consumption.
std::string_view | name () const &noexcept
| Name for this object, if the caller passed one; empty string otherwise.
std::string | description () const
| transaction_focus (transaction_focus &&other)
transaction_focus & | operator= (transaction_focus &&other)

## Protected Member Functions

void | register_me ()
void | unregister_me () noexcept
void | reg_pending_error (std::string const &) noexcept
bool | registered () const noexcept

## Protected Attributes

transaction_base * | m_trans

## Detailed Description

Base class for things that monopolise a transaction's attention.

You probably won't need to use this class. But it can be useful to know that a given libpqxx class is derived from it.

Pipelines, SQL statements, and data streams are examples of classes derived from `transaction_focus`. In any given transaction, only one object of such a class can be active at any given time.

## Constructor & Destructor Documentation

## transaction_focus() [1/6]

pqxx::transaction_focus::transaction_focus | ( | transaction_base & | t,
|  | std::string_view | cname,
|  | std::string_view | oname
| ) |  |

## transaction_focus() [2/6]

pqxx::transaction_focus::transaction_focus | ( | transaction_base & | t,
|  | std::string_view | cname,
|  | std::string && | oname
| ) |  |

## transaction_focus() [3/6]

pqxx::transaction_focus::transaction_focus | ( | transaction_base & | t,
|  | std::string_view | cname
| ) |  |

## transaction_focus() [4/6]

pqxx::transaction_focus::transaction_focus | ( |  | ) |

delete

## transaction_focus() [5/6]

pqxx::transaction_focus::transaction_focus | ( | transaction_focus const & |  | ) |

delete

## transaction_focus() [6/6]

pqxx::transaction_focus::transaction_focus | ( | transaction_focus && | other | ) |

## Member Function Documentation

## classname()

constexpr std::string_view pqxx::transaction_focus::classname | ( |  | ) | const

constexpr noexcept

Class name, for human consumption.

## description()

std::string pqxx::transaction_focus::description | ( |  | ) | const

References pqxx::internal::describe_object().

## name()

std::string_view pqxx::transaction_focus::name | ( |  | ) | const &

noexcept

Name for this object, if the caller passed one; empty string otherwise.

## operator=() [1/2]

transaction_focus & pqxx::transaction_focus::operator= | ( | transaction_focus && | other | ) |

## operator=() [2/2]

transaction_focus & pqxx::transaction_focus::operator= | ( | transaction_focus const & |  | ) |

delete

## reg_pending_error()

void pqxx::transaction_focus::reg_pending_error | ( | std::string const & | err | ) |

protected noexcept

Referenced by pqxx::stream_to::~stream_to().

## register_me()

void pqxx::transaction_focus::register_me | ( |  | ) |

protected

Referenced by pqxx::stream_from::stream_from(), and pqxx::stream_from::stream_from().

## registered()

bool pqxx::transaction_focus::registered | ( |  | ) | const

protected noexcept

## unregister_me()

void pqxx::transaction_focus::unregister_me | ( |  | ) |

protected noexcept

## Member Data Documentation

## m_trans

transaction_base* pqxx::transaction_focus::m_trans

protected

The documentation for this class was generated from the following files:

- transaction_focus.hxx
- transaction_base.cxx